# boost::lockfree::freelist< T, maximum_size, Alloc > Class Template Reference

`#include <freelist.hpp>`

Inherits boost::lockfree::detail::dummy_freelist< T, Alloc >< T, Alloc >.

List of all members.

## Detailed Description

### template<typename T, std::size_t maximum_size = 64, typename Alloc = std::allocator<T>>
class boost::lockfree::freelist< T, maximum_size, Alloc >

simple freelist implementation

Definition at line 55 of file freelist.hpp.

## Public Member Functions

| freelist (void)
| freelist (std::size_t initial_nodes)
| ~freelist (void)
T * | allocate (void)
void | deallocate (T *n)

## Classes

struct | freelist_node

The documentation for this class was generated from the following file:

- common/include/boost/lockfree/detail/freelist.hpp